Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.element
Interface ITable

All Superinterfaces:
  IDesignElement, IListing, IReportElement, IReportItem

    public interface ITable

extends IListing

Represents the design of a Table in the scripting environment

Field Summary

Fields inherited from interface org.eclipse.birt.report.engine.api.script.element.IReportItem
`constants`

Method Summary
`java.lang.String` | `getCaption()` Returns the caption text of this table.
`java.lang.String` | `getCaptionKey()` Returns the resource key of the caption.
`IColumn` | `getColumn(int index)` Gets column.
`int` | `getColumnCount()` Returns the number of columns in the table.
`java.lang.String` | `getSummary()` Gets the summary of this table.
`boolean` | `repeatHeader()` Tests whether to repeat the headings at the top of each page.
`void` | `setCaption(java.lang.String caption)` Sets the caption text of this table.
`void` | `setCaptionKey(java.lang.String captionKey)` Sets the resource key of the caption.
`void` | `setRepeatHeader(boolean value)` Sets whether to repeat the headings at the top of each page.
`void` | `setSummary(java.lang.String summary)` Sets the summary of this table.

Methods inherited from interface org.eclipse.birt.report.engine.api.script.element.IListing
`addFilterCondition, addSortCondition, getFilterConditions, getSortConditions, removeFilterCondition, removeFilterConditions, removeSortCondition, removeSortConditions`

Methods inherited from interface org.eclipse.birt.report.engine.api.script.element.IReportItem
`addDataBinding, addHideRule, addHighlightRule, getBookmark, getDataBinding, getDataBindings, getHeight, getHideRules, getHighlightRules, getTocExpression, getWidth, getX, getY, removeDataBinding, removeDataBindings, removeHideRule, removeHideRules, removeHighlightRule, removeHighlightRules, setBookmark, setCurrentView, setHeight, setHeight, setTocExpression, setWidth, setWidth, setX, setX, setY, setY`

Methods inherited from interface org.eclipse.birt.report.engine.api.script.element.IReportElement
`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getName, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setName`

Methods inherited from interface org.eclipse.birt.report.engine.api.script.element.IDesignElement
`getNamedExpression, getParent, getQualifiedName, getReport, getStyle, getUserProperty, getUserPropertyExpression, setNamedExpression, setUserProperty, setUserProperty`

Method Detail

### getColumnCount

    int getColumnCount()

  Returns the number of columns in the table. The number is defined as 1) the sum of columns described in the "column" slot, or 2) the widest row defined in the detail, header or footer slots if column slot is empty.

  Returns:
    the number of columns in the table

### repeatHeader

    boolean repeatHeader()

  Tests whether to repeat the headings at the top of each page.

  Returns:
    `true` if repeat the headings, otherwise `false`.

### setRepeatHeader

    void setRepeatHeader(boolean value)
                         throws ScriptException

  Sets whether to repeat the headings at the top of each page.

  Parameters:
    `value` - `true` if repeat the headings, otherwise `false`.
  Throws:
    `ScriptException` - if the property is locked.

### getSummary

    java.lang.String getSummary()

  Gets the summary of this table.

  Returns:
    the summary.

### setSummary

    void setSummary(java.lang.String summary)
                    throws ScriptException

  Sets the summary of this table.

  Parameters:
    `summary` - the summary
  Throws:
    `org.eclipse.birt.report.model.api.activity.SemanticException` - if this property is locked.
    `ScriptException`

### getCaption

    java.lang.String getCaption()

  Returns the caption text of this table.

  Returns:
    the caption text

### setCaption

    void setCaption(java.lang.String caption)
                    throws ScriptException

  Sets the caption text of this table.

  Parameters:
    `caption` - the caption text
  Throws:
    `ScriptException` - if the property is locked.

### getCaptionKey

    java.lang.String getCaptionKey()

  Returns the resource key of the caption.

  Returns:
    the resource key of the caption

### setCaptionKey

    void setCaptionKey(java.lang.String captionKey)
                       throws ScriptException

  Sets the resource key of the caption.

  Parameters:
    `captionKey` - the resource key of the caption
  Throws:
    `ScriptException` - if the caption resource-key property is locked.

### getColumn

    IColumn getColumn(int index)

  Gets column.

  Parameters:
    `index` -
  Returns:
    column wrapper

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.